%define tarball xf86-video-sunffb
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir       %{moduledir}/drivers
%define gitdate 20080526

Summary:   Xorg X11 sunffb video driver
Name:      xorg-x11-drv-sunffb
Version:   1.1.0
Release:   6%{?dist}.git%{gitdate}
URL:       http://www.x.org
#Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source0:   %{tarball}-%{gitdate}.tar.bz2
Source1:   xorg-x11-drv-sunffb-git-checkout.sh
Patch0:    xorg-x11-drv-sunffb-remove-dri.patch
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# we are not building sparc64 at this time because we need to do some assembly work
ExclusiveArch: sparcv9

BuildRequires: xorg-x11-server-devel
BuildRequires: automake autoconf gettext libtool

Requires:  xorg-x11-server-Xorg
%description 
X.Org X11 sunffb video driver.

%prep
%setup -q -n %{tarball}-%{gitdate} 
%patch0 -p1 

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{moduledir} -name '*.la' | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/*.so
%{_mandir}/man4/*.4*

%changelog
* Fri Jun  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.1.0-6.git20080526
- disable sparc64 for now

* Tue Jun 03 2008 Dennis Gilmore <dennis@ausil.us> 1.1.0-5.git20080526
- review fixes

* Tue May 27 2008 Dennis Gilmore <dennis@ausil.us> 1.1.0-4.git20080526
- apply patch removing dri support from configure.ac  dri was removed upstream
- change assembly options for sparc64

* Mon May 26 2008 Dennis Gilmore <dennis@ausil.us> 1.1.0-3.git20080526
- update to git snapshot

* Mon May 26 2008 Dennis Gilmore <dennis@ausil.us> 1.1.0-2
- spec cleanups

* Mon Jul 17 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.0-1
- Update to xorg 7.1

* Tue Oct 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Limit "ExclusiveArch" to sparc, sparc64

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for sunffb video driver generated automatically
  by my xorg-driverspecgen script.
